TransferToken

Transfer a payment token from one card to another.

Request Path Parameters

ParametertypeLimitsrequiredDescription
terminalIDString10 characters✓The Paymentology issued terminal id of the terminal requesting the transaction
referenceString1-255 characters✓The user defined reference to the card; eg. a member id or wallet number
tokenUniqueReferenceString48 charactersIf provided will transfer the referred token, otherwise, will update all tokens associated with the card.
oldCardIdentifierString1-20 characters✓The card number, sequence number or tracking number of the card to transfer the token from
newCardIdentifierString1-20 characters✓The card number, sequence number or tracking number of the card to transfer the token to
transactionIDString1-255 characters✓A unique identifier generated by the client, which must not be duplicated over time.
transactionDateDate✓Transaction date generated by the calling client
checksumString✓HMAC-SHA256 hashed signature of the concatenated method name with all argument values using the terminal password as private key
<methodCall>
            <methodName>TransferToken</methodName>
            <params>
                <param>
                    <value>
                        <string>0020787431</string>
                    </value>
                </param>
                <param>
                    <value>
                        <string>Cyp001</string>
                    </value>
                </param>
                <param>
                    <value>
           <string>DWSPMC00000000010906a349d9ca4eb1a4d53e3c90a11d9c</string>
                    </value>
                </param>
                <param>
                    <value>
                        <string>156554700000004</string>
                    </value>
                </param>
                <param>
                    <value>
                        <string>156554700000005</string>
                    </value>
                </param>
                <param>
                    <value>
                        <string>fb8344c9-2fc9-467b-87e4-55eaf88d06f1</string>
                    </value>
                </param>
                <param>
                    <value>
                        <dateTime.iso8601>20200101T09:00:00</dateTime.iso8601>
                    </value>
                </param>
                <param>
                    <value>
               <string> 6A22AFB56DD36283AC2A27BD858FC212B848767A</string>
                    </value>
                </param>
            </params>
         </methodCall>

Response Parameters

FieldtypeDescription
resultCodeIntegerStatus code indicating transaction result